fiddle.h File Reference
`#include <ruby.h>`
`#include <errno.h>`
`#include <ffi.h>`
`#include <closure.h>`
`#include <conversions.h>`
`#include <function.h>`

Go to the source code of this file.

## Macros

#define | TYPE_VOID 0
#define | TYPE_VOIDP 1
#define | TYPE_CHAR 2
#define | TYPE_SHORT 3
#define | TYPE_INT 4
#define | TYPE_LONG 5
#define | TYPE_FLOAT 7
#define | TYPE_DOUBLE 8

## Variables

VALUE | mFiddle

## Macro Definition Documentation

#define TYPE_CHAR 2

Definition at line 90 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_DOUBLE 8

Definition at line 98 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_FLOAT 7

Definition at line 97 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_INT 4

Definition at line 92 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_LONG 5

Definition at line 93 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_SHORT 3

Definition at line 91 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_VOID 0

Definition at line 88 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_VOIDP 1

Definition at line 89 of file fiddle.h.

Referenced by callback(), function_call(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

## Variable Documentation

VALUE mFiddle

Definition at line 3 of file fiddle.c.

Referenced by callback(), function_call(), generic_to_value(), Init_fiddle(), Init_fiddle_closure(), and Init_fiddle_function().